### Struct

# Vips Blob

#### Description

    struct VipsBlob {
      VipsArea area;
    }

No description available.

###### Structure members

`area:` `VipsArea`

  No description available.

#### Constructors

###### vips_blob_new

Like `vips_area_new()`, but track a length as well. The returned `VipsBlob` takes ownership of `data` and will free it with `free_fn`. Pass `NULL` for `free_fn` to not transfer ownership.

###### vips_profile_load

Load a named profile.

#### Functions

###### vips_blob_copy

Like `vips_blob_new()`, but take a copy of the data. Useful for bindings which struggle with callbacks.

#### Instance methods

###### vips_blob_get

Get the data from a `VipsBlob`.

###### vips_blob_set

Any old data is freed and new data attached.